##
##  perl-tm.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2017 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   versions of individual parts
%define       V_perl                  5.22
%define       V_mldbm                 2.01
%define       V_mldbm_sync            0.30
%define       V_log_log4perl          1.49
%define       V_tm                    1.56

#   package information
Name:         perl-tm
Summary:      Perl Modules for use with Topic Maps
URL:          http://www.cpan.org/
Vendor:       Perl Community
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        Perl
License:      GPL/Artistic
Version:      %{V_perl}
Release:      20170221

#   list of sources
Source0:      http://www.cpan.org/authors/id/C/CH/CHAMAS/MLDBM-%{V_mldbm}.tar.gz
Source1:      http://www.cpan.org/authors/id/C/CH/CHAMAS/MLDBM-Sync-%{V_mldbm_sync}.tar.gz
Source2:      http://www.cpan.org/authors/id/M/MS/MSCHILLI/Log-Log4perl-%{V_log_log4perl}.tar.gz
Source3:      http://www.cpan.org/authors/id/D/DR/DRRHO/TM-%{V_tm}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, perl >= %{V_perl}, perl-openpkg >= %{V_perl}-20040126
PreReq:       OpenPKG, openpkg >= 20160101, perl >= %{V_perl}
BuildPreReq:  perl-util
PreReq:       perl-util

%description
    Perl modules for use with Topic Maps:
    - TM (%{V_tm})

%track
    prog perl-tm:MLDBM = {
        version   = %{V_mldbm}
        url       = http://www.cpan.org/authors/id/C/CH/CHAMAS/
        regex     = MLDBM-(__VER__)\.tar\.gz
    }
    prog perl-tm:MLDBM-Sync = {
        version   = %{V_mldbm_sync}
        url       = http://www.cpan.org/authors/id/C/CH/CHAMAS/
        regex     = MLDBM-Sync-(__VER__)\.tar\.gz
    }
    prog perl-tm:Log-Log4perl = {
        version   = %{V_log_log4perl}
        url       = http://www.cpan.org/authors/id/M/MS/MSCHILLI/
        regex     = Log-Log4perl-(__VER__)\.tar\.gz
    }
    prog perl-tm:TM = {
        version   = %{V_tm}
        url       = http://www.cpan.org/authors/id/D/DR/DRRHO/
        regex     = TM-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -c
    %setup -q -T -D -a 1
    %setup -q -T -D -a 2
    %setup -q -T -D -a 3

%build

%install
    %{l_prefix}/bin/perl-openpkg prepare
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE0} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE1} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE2} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE3} configure build install
    %{l_prefix}/bin/perl-openpkg -F perl-openpkg-files fixate cleanup
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std} `cat perl-openpkg-files`

%files -f files

%clean

